<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.13
Description: Versturen geldige partijnummers
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.13">
   <title>Versturen geldige partijnummers (interactie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL
Item: (VersturenGeldigePartijnummers)
-->

<rule context="hl7:PRMM_IN010043NL"
         id="tmp-07d26ef8-41d8-44b2-909c-a7bf20028ad2">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id)&lt;=1">(VersturenGeldigePartijnummers): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:creationTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:creationTime)&lt;=1">(VersturenGeldigePartijnummers): element hl7:creationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:versionCode)&gt;=1 and not(hl7:versionCode/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:versionCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:versionCode)&lt;=1">(VersturenGeldigePartijnummers): element hl7:versionCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1">(VersturenGeldigePartijnummers): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1">(VersturenGeldigePartijnummers): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:processingCode)&gt;=1 and not(hl7:processingCode/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:processingCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:processingCode)&lt;=1">(VersturenGeldigePartijnummers): element hl7:processingCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:processingModeCode)&gt;=1 and not(hl7:processingModeCode/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:processingModeCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:processingModeCode)&lt;=1">(VersturenGeldigePartijnummers): element hl7:processingModeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:acceptAckCode)&gt;=1 and not(hl7:acceptAckCode/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:acceptAckCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:acceptAckCode)&lt;=1">(VersturenGeldigePartijnummers): element hl7:acceptAckCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:ControlActProcess)&lt;=1">(VersturenGeldigePartijnummers): element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL
Item: (TransmissionWrapperMCCI_MT000100)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL
Item: (TransmissionWrapperMCCI_MT000100)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:id
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:id"
         id="tmp-406a918e-da5b-4ecd-98b5-340ae23ef79c">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root and @extension">(TransmissionWrapperMCCI_MT000100): Transmission: id element mist root of extension</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:creationTime
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:creationTime"
         id="tmp-b02c2d5f-681e-4378-8751-c4d9ff3d5288">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:versionCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:versionCode"
         id="tmp-5d686b36-8606-489d-8ea1-10ef4910cb5a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''NICTIZEd2005-Okt'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-cf9eec12-2292-4ad3-a980-f50eeddb5a8c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@root='2.16.840.1.113883.1.6'">(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperMCCI_MT000100): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">(TransmissionWrapperMCCI_MT000100): Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-be209e6e-eb31-4985-af3a-f74270b1b713">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@root='2.16.840.1.113883.2.4.3.11.1'">(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperMCCI_MT000100): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@extension='810'">(TransmissionWrapperMCCI_MT000100): de waarde van @extension MOET '810' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:processingCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:processingCode"
         id="tmp-c632486f-da99-4437-9e44-618cd0cf780f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or (@code='P')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''P'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:processingModeCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:processingModeCode"
         id="tmp-cdb951f0-4b1c-4f5f-9b54-cbb39c15ad31">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or (@code='T')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''T'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:acceptAckCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:acceptAckCode"
         id="tmp-a7392c4a-be33-4394-95da-a470bc0e5770">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or (@code='AL') or (@code='NE')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET één van de volgende codes bevatten: 'AL' of 'NE'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:receiver
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:receiver"
         id="tmp-1948fe55-154c-4118-9378-8defa4b0afe8">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@typeCode='RCV' or not(@typeCode)">(TransmissionWrapperReceiverNotZIM): de waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:receiver/hl7:device
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:receiver/hl7:device"
         id="tmp-24e52da9-bde8-4e86-b9ea-92caf0013de2">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-f0331965-8a0f-4d68-bbaf-cd16c0144990">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperReceiverNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperReceiverNotZIM): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperReceiverNotZIM): Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:receiver/hl7:device/hl7:name
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:receiver/hl7:device/hl7:name"
         id="tmp-e540ded5-d159-41c3-b0bb-6cfff3be169e">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:sender
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:sender"
         id="tmp-2717b53b-8986-4d23-8927-75cf3a7f8b65">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@typeCode='SND' or not(@typeCode)">(TransmissionWrapperSenderNotZIM): de waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:sender/hl7:device
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:sender/hl7:device"
         id="tmp-f40f9883-e69a-48b5-940d-af5e50226b19">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-3be9b22b-78c8-4c88-929f-1810bb7085dd">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperSenderNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperSenderNotZIM): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperSenderNotZIM): Transmission: sender/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:sender/hl7:device/hl7:name
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:sender/hl7:device/hl7:name"
         id="tmp-dc08d7cc-2468-45e0-a481-1d896ada3943">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess
Item: (VersturenGeldigePartijnummers)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess"
         id="tmp-c76d148b-ec7a-4d48-b8f1-cc036abaee41">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id)&lt;=1">(VersturenGeldigePartijnummers): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:text)=0">(VersturenGeldigePartijnummers): element hl7:text MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenGeldigePartijnummers): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:reasonCode)=0">(VersturenGeldigePartijnummers): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:languageCode)=0">(VersturenGeldigePartijnummers): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:informationRecipient)=0">(VersturenGeldigePartijnummers): element hl7:informationRecipient MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:dataEnterer)=0">(VersturenGeldigePartijnummers): element hl7:dataEnterer MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:authorOrPerformer[*/hl7:AssignedDevice])&gt;=1 and not(hl7:authorOrPerformer[*/hl7:AssignedDevice]/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:authorOrPerformer[*/hl7:AssignedDevice] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:authorOrPerformer[*/hl7:AssignedDevice])&lt;=1">(VersturenGeldigePartijnummers): element hl7:authorOrPerformer[*/hl7:AssignedDevice] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]])&gt;=1 and not(hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]/@nullFlavor)">(VersturenGeldigePartijnummers): element hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]])&lt;=1">(VersturenGeldigePartijnummers): element hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:id
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:id"
         id="tmp-cdf5b186-392d-4ad0-8f5a-ad4a3e67edb3">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:code
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:code"
         id="tmp-214fb05f-ecad-4e7c-946d-e30e8914d0d4">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(ControlActWrapperMCAI_MT700201): de waarde van @codeSystem MOET ''2.16.840.1.113883.1.18'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:text
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:effectiveTime
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-307afd61-7262-48d0-b4e5-f246c2565333">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:reasonCode
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:languageCode
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:informationRecipient
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:dataEnterer
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]"
         id="tmp-09f3708b-6a05-40dc-b07f-1095fdf5c3eb">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@typeCode='AUT' or not(@typeCode)">(ControlActAuthorOrPerformerDevice): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(ControlActAuthorOrPerformerDevice): element hl7:participant is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:participant)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:participant komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant"
         id="tmp-ece32771-7fa8-4a3c-8ce9-114a4121e57c">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:AssignedDevice)&gt;=1 and not(hl7:AssignedDevice/@nullFlavor)">(ControlActAuthorOrPerformerDevice): element hl7:AssignedDevice is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:AssignedDevice)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:AssignedDevice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice"
         id="tmp-cb638b31-d7f7-48fb-9e1f-f6c894cdb914">
      <assert role="error"
              test="not(hl7:id[@root='2.16.528.1.1007.3.2']) or hl7:Organization[hl7:id[@root='2.16.528.1.1007.3.3']]">(ControlActAuthorOrPerformerDevice): <name/> met een UZI-systeemnummer in id MOET als bij de organisatie een URA hebben.</assert>
      <assert role="error"
              test="not(hl7:id[@root='2.16.528.1.1007.3.2'] and hl7:Organization[hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']])">(ControlActAuthorOrPerformerDevice): <name/> met een UZI-systeemnummer in id MAG GEEN AORTA-organisatie-id als hebben.</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6']|hl7:id[@root='2.16.528.1.1007.3.2'])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="$elmcount&gt;=1">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.840.1.113883.2.4.6.6'] of hl7:id[@root='2.16.528.1.1007.3.2']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="$elmcount&lt;=2">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.840.1.113883.2.4.6.6'] of hl7:id[@root='2.16.528.1.1007.3.2']) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:telecom)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:noteText)=0">(ControlActAuthorOrPerformerDevice): element hl7:noteText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:time)=0">(ControlActAuthorOrPerformerDevice): element hl7:time MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:modeCode)=0">(ControlActAuthorOrPerformerDevice): element hl7:modeCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:signatureCode)=0">(ControlActAuthorOrPerformerDevice): element hl7:signatureCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:signatureText)=0">(ControlActAuthorOrPerformerDevice): element hl7:signatureText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:Organization)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-d630b573-070a-4a51-815c-38db497d2e77">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ControlActAuthorOrPerformerDevice): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.528.1.1007.3.2']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.528.1.1007.3.2']"
         id="tmp-572c7167-56e6-42d1-9d2e-bf42dbd12cec">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@root='2.16.528.1.1007.3.2'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.528.1.1007.3.2' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ControlActAuthorOrPerformerDevice): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:code
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:code"
         id="tmp-61de1251-9705-4b15-bb8f-57cced5996ba">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:telecom
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:telecom"
         id="tmp-0e3f958e-bb11-4597-bcf6-dd45d20e667a">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:name
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:name"
         id="tmp-941f100f-21f7-4642-a9c4-7a9ecc3a4bca">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:noteText
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:time
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:modeCode
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:signatureCode
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:signatureText
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization"
         id="tmp-b51c7f6d-0b4c-4ef8-92e3-8383fbce6004">
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.3']|hl7:id[@root='2.16.840.1.113883.2.4.3.11']|hl7:id[@root='2.16.840.1.113883.2.4.3.11.25'])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="$elmcount&gt;=1">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.528.1.1007.3.3'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="$elmcount&lt;=1">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.528.1.1007.3.3'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActAuthorOrPerformerDevice): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:addr)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-b0e03afb-65b1-4af2-b4cd-3de27bc40476">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@root='2.16.528.1.1007.3.3'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ControlActAuthorOrPerformerDevice): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11']"
         id="tmp-7518cfd5-2567-4f42-a0a8-62a64b6d6654">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@root='2.16.840.1.113883.2.4.3.11'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.840.1.113883.2.4.3.11' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ControlActAuthorOrPerformerDevice): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@extension='7'">(ControlActAuthorOrPerformerDevice): de waarde van @extension MOET '7' zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']"
         id="tmp-ae770a48-c4e4-4d9e-bf65-3231999a4323">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@root='2.16.840.1.113883.2.4.3.11.25'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.25' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ControlActAuthorOrPerformerDevice): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:code
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:code"
         id="tmp-ec1424a0-80b1-4045-b606-d6c453b419a2">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActAuthorOrPerformerDevice): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:telecom
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:telecom"
         id="tmp-2a5c6269-cf26-4039-a9ea-a2f20727de33">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:name
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:name"
         id="tmp-ea6a3774-6104-47a3-949c-c724383255a1">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:addr
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:addr"
         id="tmp-5e123367-c417-47da-8679-2b7828aa89c8">
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject[hl7:ProductList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']]]
Item: (VersturenGeldigePartijnummers)
--></pattern>
