<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.133
Description: COCT_RM900920NL: Gegevens over de hielprik. De aanvraag, de uitvoering en het resultaat
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.133">
   <title>A_HeelPrick [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]
Item: (A_HeelPrick-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick"
         id="tmp-f1570496-0cda-48c3-a23f-dc425b79e9b6">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="@classCode='SPECCOLLECT' or not(@classCode)">(A_HeelPrick-universal): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_HeelPrick-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning" test="not(@negationInd='true') or hl7:reasonCode">(A_HeelPrick-universal): 
                    <name/>/@negationInd='true' maar er is geen reden niet afgenomen in reasonCode</assert>
      <assert role="warning" test="@negationInd='true' or not(hl7:reasonCode)">(A_HeelPrick-universal): 
                    <name/>/@negationInd!='true' maar er is toch een reden niet afgenomen in reasonCode</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']/@nullFlavor)">(A_HeelPrick-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'])&lt;=1">(A_HeelPrick-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_HeelPrick-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:code)&lt;=1">(A_HeelPrick-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:reasonCode)&lt;=1">(A_HeelPrick-universal): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:performer)&lt;=1">(A_HeelPrick-universal): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:outcome)&lt;=1">(A_HeelPrick-universal): element hl7:outcome komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]])&lt;=1">(A_HeelPrick-universal): element hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']"
         id="tmp-d319d36a-2ec9-4196-9f6e-3b839a37db61">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.133'">(A_HeelPrick-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.133' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_HeelPrick-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:code
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:code"
         id="tmp-3286f1c7-e044-444d-b006-b7b9aedf1cdd">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:reasonCode
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:reasonCode"
         id="tmp-37daff43-6ba5-4aa3-9eda-d0e7273dadd4">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0313_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0313_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0313_HL7 W0313 Reden niet afgenomen hielprik (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0313_HL7 W0313 Reden niet afgenomen hielprik (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer"
         id="tmp-ddedd7a0-fc97-4c17-b319-848e3e94c163">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="@typeCode='PRF' or not(@typeCode)">(A_HeelPrick-universal): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(A_HeelPrick-universal): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:time)&lt;=1">(A_HeelPrick-universal): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(A_HeelPrick-universal): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:assignedEntity)&lt;=1">(A_HeelPrick-universal): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:time
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:time"
         id="tmp-f0bde638-dcb3-45f5-a0e5-fd840353ea2e">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity"
         id="tmp-74841bd1-7764-4f59-be61-18980cace841">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:assignedPerson)&lt;=1">(A_HeelPrick-universal): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:representedOrganization)&lt;=1">(A_HeelPrick-universal): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-437b8e9f-1be3-44ca-8362-db78ca125ef0">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="@classCode='PSN' or not(@classCode)">(A_HeelPrick-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(A_HeelPrick-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(A_HeelPrick-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:name)&lt;=1">(A_HeelPrick-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-556c9377-9b9b-483b-8e09-70ccbaacabe4">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-21a1e81f-8ac7-4e10-b49d-374400fd9782">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(A_HeelPrick-universal): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:id)&lt;=1">(A_HeelPrick-universal): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-a017c6cf-e003-49a3-842a-2fcf18fa8114">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome"
         id="tmp-614040c9-d8b8-41f0-a441-002736022b04">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="@typeCode='OUTC' or not(@typeCode)">(A_HeelPrick-universal): de waarde van @typeCode MOET 'OUTC' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="@contextConductionInd='false' or not(@contextConductionInd)">(A_HeelPrick-universal): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:result)&gt;=1 and not(hl7:result/@nullFlavor)">(A_HeelPrick-universal): element hl7:result is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:result)&lt;=1">(A_HeelPrick-universal): element hl7:result komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome/hl7:result
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome/hl7:result"
         id="tmp-3016a55f-b372-4874-a9b2-28cbca2cfbb0">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:id)&lt;=1">(A_HeelPrick-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_HeelPrick-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:code)&lt;=1">(A_HeelPrick-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_HeelPrick-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="count(hl7:value)&lt;=1">(A_HeelPrick-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome/hl7:result/hl7:id
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome/hl7:result/hl7:id"
         id="tmp-365c7225-86a1-48db-bf91-7ca335c97979">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome/hl7:result/hl7:code
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome/hl7:result/hl7:code"
         id="tmp-ab45eda8-dea6-4869-a477-db5e06ff8137">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome/hl7:result/hl7:value
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome/hl7:result/hl7:value"
         id="tmp-4e073c7a-7f85-44bc-a22f-badd06db9190">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0321_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0321_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0321_HL7 W0321 Uitslag (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0321_HL7 W0321 Uitslag (HL7) DYNAMIC.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]]
Item: (A_HeelPrick-universal)
-->
<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]]"
         id="tmp-b1945a83-0f85-40d8-a101-cfd80e60acd3">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="@typeCode='FLFS' or not(@typeCode)">(A_HeelPrick-universal): de waarde van @typeCode MOET 'FLFS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.133.html"
              test="@contextConductionInd='false' or not(@contextConductionInd)">(A_HeelPrick-universal): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
   </rule>
</pattern>
